Package org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.impl

# Class AbstractTypedElementAdapter

java.lang.Object
org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.impl.AbstractTypedElementAdapter

All Implemented Interfaces:
  `ITypedElement`

Direct Known Subclasses:
  `AbstractStructuralFeatureAccessor`, `MatchAccessor`, `ResourceContentsAccessorImpl`, `ResourceStreamAccessorImpl`, `TypedNotifier`

public abstract class AbstractTypedElementAdapter extends Object implements ITypedElement
An abstract implementation of `ITypedElement`.

Since:
  4.0

## Field Summary

### Fields inherited from interface org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.ITypedElement

`FOLDER_TYPE, TEXT_TYPE, UNKNOWN_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractTypedElementAdapter(AdapterFactory adapterFactory)`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`protected AdapterFactory`
`getAdapterFactory()`
Returns the adapter factory to use to retrieve item.
`protected ExtendedAdapterFactoryItemDelegator`
`getItemDelegator()`
Returns the item delegator to use to retrieve item.
`protected AdapterFactory`
`getRootAdapterFactory()`
Gets the root factory if this local adapter factory is composed, otherwise just the local one.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.ITypedElement

`getImage, getName, getType`

## Constructor Details

### AbstractTypedElementAdapter

public AbstractTypedElementAdapter(AdapterFactory adapterFactory)
Default constructor.

Parameters:
  `adapterFactory` - the adapter factory used to create accessor.

## Method Details

### getRootAdapterFactory

protected AdapterFactory getRootAdapterFactory()
Gets the root factory if this local adapter factory is composed, otherwise just the local one.

Returns:
  the root factory if this local adapter factory is composed, otherwise just the local one.

### getAdapterFactory

protected AdapterFactory getAdapterFactory()
Returns the adapter factory to use to retrieve item.

Returns:
  the adapter factory to use to retrieve item.

### getItemDelegator

protected ExtendedAdapterFactoryItemDelegator getItemDelegator()
Returns the item delegator to use to retrieve item.

Returns:
  the item delegator to use to retrieve item..